
From: Johannes Stezenbach <js@linuxtv.org>

Fix compilation with gcc-2.95 (warning with gcc-3.4.4) by not mixing code
and declarations.

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/frontends/bcm3510.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN drivers/media/dvb/frontends/bcm3510.c~flexcop-add-bcm3510-atsc-frontend-support-for-air2pc-card-fix drivers/media/dvb/frontends/bcm3510.c
--- 25/drivers/media/dvb/frontends/bcm3510.c~flexcop-add-bcm3510-atsc-frontend-support-for-air2pc-card-fix	2005-05-25 00:03:49.000000000 -0700
+++ 25-akpm/drivers/media/dvb/frontends/bcm3510.c	2005-05-25 00:03:49.000000000 -0700
@@ -318,8 +318,10 @@ static int bcm3510_read_unc(struct dvb_f
 static int bcm3510_read_signal_strength(struct dvb_frontend* fe, u16* strength)
 {
 	struct bcm3510_state* st = fe->demodulator_priv;
+	s32 t;
+
 	bcm3510_refresh_state(st);
-	s32 t = st->status2.SIGNAL;
+	t = st->status2.SIGNAL;
 
 	if (t > 190)
 		t = 190;
_
